from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XExtendedToolkit(XInterface, Protocol):
    def getTopWindowCount(self) -> int: ...
    def getActiveTopWindow(self) -> XTopWindow: ...
    def addTopWindowListener(self, xListener: XTopWindowListener) -> None: ...
    def removeTopWindowListener(self, xListener: XTopWindowListener) -> None: ...
    def addKeyHandler(self, xHandler: XKeyHandler) -> None: ...
    def removeKeyHandler(self, xHandler: XKeyHandler) -> None: ...
    def addFocusListener(self, xListener: XFocusListener) -> None: ...
    def removeFocusListener(self, xListener: XFocusListener) -> None: ...
    def fireFocusGained(self, source: XInterface) -> None: ...
    def fireFocusLost(self, source: XInterface) -> None: ...
